Subject: Re: [PATCH] git-svn: Add a svn-remote.<name>.pushurl config key

From: "Alejandro R. Sedeño" <[email-masked]>
Date: Wed, 06 Apr 2011 08:56:41 -0400

On 4/6/2011 8:44 AM, Michael J Gruber wrote:
> Alejandro R. Sedeño venit, vidit, dixit 05.04.2011 22:15:
>> > Similar to the 'remote.<name>.pushurl' config key for git remotes, the
>> > 'pushurl' key is treated the same as the 'url' key. This is distinct
>> > from the 'commiturl' key, which is defined to be a full svn path.
>> > 
>> > This is necessary if you want to be able to commit to multiple branches.
> Maybe one can understand this remark after reading the whole thread, but
> reading it as a commit message I'm wondering: Huh? How can I have been
> doing it then without pushurl?
> 
> Also, "treated the same as the url" makes a reader wonder why we have
> two names for the same.
> 
> The point of pushurl is that you can use a passwordless transport for
> fetches and another transport for pushes. The standing assumption is
> that both urls point in fact at the same repo. Weird things can happen
> if not. Is that assumption the same for your svn pushurl?

Yes, that is the idea. I will rephrase the commit message and
documentation to be clearer when I send the next version of this patch.

When I say, "treated the same as the url," what I mean to say is that
any manipulations that would be done to 'url' are also done to
'pushurl', such as appending '/trunk' or '/branches/<branch-name>/' if
necessary, which does not happen with commiturl since it is a full snv path.

-Alejandro